Page MenuHomePhabricator

AMDGPU/GlobalISel: Implement addrspacecast for 32-bit constant addrspace
ClosedPublic

Authored by arsenm on Aug 17 2019, 8:57 PM.

Details

Diff Detail

Event Timeline

arsenm created this revision.Aug 17 2019, 8:57 PM
arsenm updated this revision to Diff 215770.Aug 17 2019, 9:01 PM
arsenm updated this revision to Diff 215771.Aug 17 2019, 9:35 PM

Fix for SI

mareko added inline comments.Aug 19 2019, 11:22 AM
lib/Target/AMDGPU/AMDGPULegalizerInfo.cpp
1146

The amdgpu-32bit-address-high-bits function attribute determines the high 32 bits. They are not 0.

arsenm updated this revision to Diff 217299.Aug 26 2019, 7:47 PM

Check attribute

mareko accepted this revision.Aug 27 2019, 2:59 PM
This revision is now accepted and ready to land.Aug 27 2019, 2:59 PM
arsenm closed this revision.Aug 27 2019, 5:59 PM

r370140